package com.zj365.health.weight

import android.content.Context
import android.view.Gravity
import android.view.View
import com.xty.base.dialog.BaseDialog
import com.zj365.health.databinding.DialogCancerBinding
import com.zj365.health.databinding.DialogTipToastBinding

class CancerDialog (context: Context, var isShowCancel:Boolean=false, var title:String,  var confirm:()->Unit, var estimate:()->Unit,): BaseDialog(context) {
    val binding by lazy{ DialogCancerBinding.inflate(layoutInflater)}
    override fun setLayout()=binding.root
    override fun initView() {
        super.initView()
        setDialogPadding(40,0,40,0)
        binding.mTitle.text=title

        binding.mTvConfirm.setOnClickListener {
            confirm.invoke()
            dismiss()
        }

        binding.tvEstimate.setOnClickListener {
            estimate.invoke()
            dismiss()
        }

        if(isShowCancel){
            binding.mTvCancel.visibility= View.GONE
        }
        binding.mTvCancel.setOnClickListener {
            dismiss()
        }
    }

    fun setContent(content:String) {
        binding.mcontent.text = content
    }
}